Skip to main content
GET
/
v1
/
irrf-commands
List IRRF commands for an entity
curl --request GET \
  --url http://0.0.0.0:3000/v1/irrf-commands \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": 1,
    "entity_registry_id": 5,
    "config_entry_id": 2,
    "command_name": "power",
    "code": "0000 006C 0022 0002...",
    "remote_entity_id": "remote.ir_blaster",
    "user_id": "user_abc123"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

entity_id
string
required

entity_id da entidade IR (ex: sensor.tv_sala)

Response

List of commands

id
integer
entity_registry_id
integer
config_entry_id
integer
command_name
string
code
string
remote_entity_id
string
user_id
string